<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Claremont
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php
				claremont_post_author();
				claremont_posted_on();
				claremont_post_comments();
			?>
		</div><!-- .entry-meta -->

		<div class="entry-thumbnail">
			<?php
				claremont_post_thumbnail();
			?>
		</div><!-- .entry-thumbnail -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'claremont' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			claremont_post_cats();
			claremont_post_read_more();
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
