/**
 * functions.js
 *
 * Custom javascript trigger.
 *
 */
( function( $ ) {
	"use strict";

	var is_webkit = navigator.userAgent.toLowerCase().indexOf( 'webkit' ) > -1,
	    is_opera  = navigator.userAgent.toLowerCase().indexOf( 'opera' )  > -1,
	    is_ie     = navigator.userAgent.toLowerCase().indexOf( 'msie' )   > -1;

	if ( ( is_webkit || is_opera || is_ie ) && document.getElementById && window.addEventListener ) {
		window.addEventListener( 'hashchange', function() {
			var id = location.hash.substring( 1 ),
				element;

			if ( ! ( /^[A-z0-9_-]+$/.test( id ) ) ) {
				return;
			}

			element = document.getElementById( id );

			if ( element ) {
				if ( ! ( /^(?:a|select|input|button|textarea)$/i.test( element.tagName ) ) ) {
					element.tabIndex = -1;
				}

				element.focus();
			}
		}, false );
	}

	// Search box
	function searchBox() {
		$( '.site-search i' ).on( 'click', function() {
			$( '.site-search form' ).addClass( 'overlay' );
			$( '.site-search input' ).focus();
		});
		$( '.site-search' ).on( 'click', '.close', function() {
			$('.overlay').removeClass('overlay');
		});
	}

	// Mobile Menu
	function initMobileMenu() {
		$('#primary-menu .menu-item-has-children').prepend('<span class="sub-trigger"></span>');

		$( '.mobile-trigger' ).click( function() {
			$( '.wrapper' ).toggleClass( 'is-visible' );
			$( this ).toggleClass( 'is-visible' );
		});
		$( '.sub-trigger' ).click( function() {
			$( this ).toggleClass( 'is-open' );
			$( this ).siblings( '.sub-menu' ).toggle( 300 );
		});
	}

	/**
	 * Document ready
	 * 
	 * @version 1.0
	 */
	$( document ).ready( function() {
		searchBox();
		initMobileMenu();
	});
} )( jQuery );